## class Fl_Bitmap

### Class Hierarchy

    Fl_Image
       |
       +----Fl_Bitmap
               |
               +----Fl_XBM_Image

### Include Files

    #include <FL/Fl_Bitmap.H>

### Description

The `Fl_Bitmap` class supports caching and drawing of mono-color (bitmap) images. Images are drawn using the current color.

### Methods

- Fl_Bitmap
- ~Fl_Bitmap

#### Fl_Bitmap::Fl_Bitmap(const char *array, int W, int H);
Fl_Bitmap::Fl_Bitmap(const unsigned char *array, int W, int H);

The constructors create a new bitmap from the specified bitmap data.

#### Fl_Bitmap::~Fl_Bitmap();

The destructor free all memory and server resources that are used by the bitmap.